#include<math.h>
#include "stm32f0xx_hal.h"
#define MAX_DIGIT    4
#define POWER_LED    0b10000000
#define LED_STATUS_1 0b01000000
#define LED_STATUS_2 0b00100000
#define LED_STATUS_3 0b00010000
unsigned char seven_segment(unsigned char value);
void print(unsigned long int num);
void LED_ON(uint8_t value);